Fixing LoadError for rspec/version #82

Closed
wants to merge 1 commit into
from

Projects

None yet

2 participants

@DFrenkel
Contributor
DFrenkel commented Dec 4, 2012
  • Fix for ci_reporter-1.8.2/lib/ci/reporter/rspec.rb:19:in `require': no such file to load -- rspec/version (LoadError) when running rake task. Instead of using 'rspec/version', we should be using 'rspec/core/version' as we are using rspec-core.
@DFrenkel DFrenkel Fixing LoadError for rspec/version
Fix for ci_reporter-1.8.2/lib/ci/reporter/rspec.rb:19:in `require': no such file to load -- rspec/version (LoadError)
ab7af1d
@DFrenkel DFrenkel closed this Dec 4, 2012
@DFrenkel
Contributor
DFrenkel commented Dec 4, 2012

Realized that rspec-code is just as likely as rspec to be missing. It depends on how ci_reporter is used and it can be used with multiple test frameworks. So it is reasonable to REQUIRE that rspec was installed and then rspec/version will be perfectly happy to load. We should update the README, though...

@rschmitty

What is the process on getting this submitted to rubygems? I was on 1.8.3 and getting this error, however switching the gem to use git resolved it (Gemfile.lock still reports 1.8.3, only it's now in the GIT section)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment